export default class TimedReference {
    constructor(maxAge: any, autoRelease: any, releasefn: any);
    _cached: any;
    _age: number;
    _timeout: NodeJS.Timeout | null;
    _maxAge: any;
    _releasable: any;
    _autoRelease: any;
    _releasefn: any;
    acquire(ifabsent: any): Promise<any>;
    _tryClear(): void;
    release(): void;
    releaseNow(): void;
}
